spring:
    datasource:
        driver-class-name: com.mysql.cj.jdbc.Driver # 指定数据库驱动类
        # 数据库连接信息
        url: jdbc:mysql://124.220.58.5:3306/enlish?allowMultiQueries=true
        username: root # 数据库用户名
        password: YLHP@admin123 # 数据库密码
    data:
        redis:
            database: 6 # Redis 数据库索引（默认为 0）
            host: 124.220.58.5 # Redis 服务器地址
            port: 6543 # Redis 服务器连接端口
            password: 741963 # Redis 服务器连接密码（默认为空）
            timeout: 5s # 读超时时间
            connect-timeout: 5s # 链接超时时间
            lettuce:
                pool:
                    max-active: 200 # 连接池最大连接数
                    max-wait: -1ms # 连接池最大阻塞等待时间（使用负值表示没有限制）
                    min-idle: 0 # 连接池中的最小空闲连接
                    max-idle: 10 # 连接池中的最大空闲连接
    ai:
        openai:
            api-key: your_api_key_here
            base-url: http://124.220.58.5:2233
            audio:
                speech:
                    options:
                        model: tts-1
                        voice: alloy


templates:
    word: C:\project\java\enlish_edu\enlish\enlish-service\src\main\resources\templates\assessment_v5.docx
    count: 100
    data: C:\project\tess
    plan:
        weekday: C:\project\java\enlish_edu\enlish\enlish-service\src\main\resources\templates\tem_study_plan_v6.docx
        weekend: C:\project\java\enlish_edu\enlish\enlish-service\src\main\resources\templates\study_plan_review_v2.docx
    plan_day: 7
tmp:
    png: C:\project\java\enlish_edu\enlish\enlish-service\src\main\resources\tmp\png\

ai:
    key: app-loC6IrJpj4cS54MAYp73QtGl
    analyzeKey: app-hrUFcopdcpnflsvpHWRuBfCp
    sentenceKey: app-Emk5YQBaD2YruRXuE5sK1vEU
    url: https://chat.cosonggle.com/v1/chat-messages

aliyun:
    accessKeyId:
    accessKeySecret:
